POST /katello/api/organizations/114267492/content_views
{
"name": "Test",
"repository_ids": [
841753487
],
"content_view": {
"name": "Test",
"repository_ids": [
841753487
]
}
}
404
{
"message": "Organization with id 114267492 not found"
}
| Param name | Description |
|---|---|
|
organization_id
required |
Organization identifier Validations:
|
|
name
required |
Name of the content view Validations:
|
|
label
optional |
Content view label Validations:
|
|
composite
optional |
Composite content view Validations:
|
|
rolling
optional |
Rolling content view Validations:
|
|
description
optional |
Description for the content view Validations:
|
|
repository_ids
optional |
List of repository ids Validations:
|
|
component_ids
optional |
List of component content view version ids for composite views Validations:
|
|
environment_ids
optional |
List of lifecycle environments for rolling content views Validations:
|
|
auto_publish
optional |
Enable/Disable auto publish of composite view Validations:
|
|
solve_dependencies
optional |
Solve RPM dependencies by default on Content View publish, defaults to false Validations:
|
|
import_only
optional |
Designate this Content View for importing from upstream servers only. Defaults to false Validations:
|